# Get Test Results by client ID V2

This call returns detailed results for screenshots including their upload locations, send times, completion times, and information about bounces, if any. <test_id> is a test ID returned from test creation or the get test list functions. The <client_id> is required and restricts the returned data exclusively to the specified client. If the client is not present in the test or is invalid, an error will be returned.

Endpoint: GET /v2/preview/tests/{test_id}/results/{client_id}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `test_id` (string, required)
    Test to get results for

  - `client_id` (string, required)
    Client to get results for

## Response 400 fields (application/json):

  - `Reason` (string, required)

## Response 401 fields (application/json):

  - `Reason` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

## Response default fields (application/json):

  - `error` (object)

  - `error.name` (string)

  - `error.message` (string)

